# packages/static-pages/www/page-visit.tcl
ad_page_contract {
    Redirect to the indicated page_id.  This page is used by
    site-wide-search.

    @author Brandoch Calef (bcalef@arsdigita.com)
    @creation-date 2001-03-05
    @cvs-id $Id: page-visit.tcl,v 1.2 2001/08/23 03:49:08 andy Exp $
} {
    page_id:integer
}

if { ![db_0or1row sp_path { select filename from static_pages where static_page_id = :page_id }] } {
    ad_return_error "Page not found" "The page requested could not be found."
}

# There are two possiblities: Either the static page is beneath the
# site global www/ directory, or it is beneath one of the package www
# directories.

if { [string first "[acs_root_dir]/www" $filename] == 0 } {
   set redirect_to [string range $filename [string length "[acs_root_dir]/www"] end]
} elseif { [regexp "^[acs_root_dir]/packages/(\[^/\]+)" $filename match package_dir] } {

   # TODO: We are assuming that the package directory name $package_dir
   # is in fact always the package key.  Is this really true?

   if { ! [regexp "^[acs_root_dir]/packages/$package_dir/www/(.+)" $filename match url_part] } {
      ad_return_error "Error in filename" "This page has an invalid filename: '$filename'."
   }

   set redirect_to "[dtk_package_url $package_dir]$url_part"
} else {
   ad_return_error "Error in filename" "This page has an invalid filename: '$filename'."
   return
}

ad_returnredirect $redirect_to
